UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Visitor jmca
Visitor
8,909 Views
Registered: ‎02-29-2012

Modelsim error: "Cannot find expanded name "xilinxcorelib.mult_gen_v10_1".

Jump to solution

Hi everyone,

 

I'm trying to launch a simulation using Modelsim Pe 10.1 and I'm getting this error at the compilation stage:

 

# -- Compiling architecture mult_24x8_a of mult_24x8

# ** Error: (vcom-11) Could not find xilinxcorelib.mult_gen_v10_1.
#
# ** Error: ../../../../../../../hardware/csound/pd/ssci/common/design/COREGEN/mult_24x8.vhd(62): (vcom-1195) Cannot find expanded name "xilinxcorelib.mult_gen_v10_1".
#
# ** Error: ../../../../../../../hardware/csound/pd/ssci/common/design/COREGEN/mult_24x8.vhd(63): (vcom-1105) Name (indexed name) does not denote an entity name.
#
# ** Error: ../../../../../../../hardware/csound/pd/ssci/common/design/COREGEN/mult_24x8.vhd(62): Unknown expanded name.
# ** Error: ../../../../../../../hardware/csound/pd/ssci/common/design/COREGEN/mult_24x8.vhd(95): VHDL Compiler exiting
# ** Error: C:/ProgramFiles/Mentor/modelsim/pe/10.1/win32pe/vcom failed.

 

I have compiled Xilinx simulation libraries using the COMPXLIB application of ISE 13.3. When I check in Modelsim the sources compiled for xilinxcorelib library I find  xilinxcorelib.mult_gen_v10_0 but not xilinxcorelib.mult_gen_v10_1 (the one that the design actually uses).

 

Let me point out that I'm not the author of this design and I have no way to contact him in less than 3 weeks...

 

Regards,

 

Jose

 

 

 

 

0 Kudos
1 Solution

Accepted Solutions
Instructor
Instructor
11,943 Views
Registered: ‎08-14-2007

Re: Modelsim error: "Cannot find expanded name "xilinxcorelib.mult_gen_v10_1".

Jump to solution

You may need to update ISE to get the latest coregen library.  Usually the coregen library components

for simulation match the versions available to generate the cores.  If the 13.3 library version of the

core is only 10_0 and you need 10_1, then you may need to update ISE to 13.4 to get the right

model.  If you have a copy of the .xco file you might also want to open it in a text editor to see

what version was used to create it.

 

-- Gabor

 

Edit:

 

Looking through my ISE 13.4 and 12.4 installations, I find v10_1 in the 12.4 library but not

in the 13.4 library.  Maybe your best choice would be to regenerate the core in 13.3

to get a more recent version.

-- Gabor
0 Kudos
3 Replies
Instructor
Instructor
11,944 Views
Registered: ‎08-14-2007

Re: Modelsim error: "Cannot find expanded name "xilinxcorelib.mult_gen_v10_1".

Jump to solution

You may need to update ISE to get the latest coregen library.  Usually the coregen library components

for simulation match the versions available to generate the cores.  If the 13.3 library version of the

core is only 10_0 and you need 10_1, then you may need to update ISE to 13.4 to get the right

model.  If you have a copy of the .xco file you might also want to open it in a text editor to see

what version was used to create it.

 

-- Gabor

 

Edit:

 

Looking through my ISE 13.4 and 12.4 installations, I find v10_1 in the 12.4 library but not

in the 13.4 library.  Maybe your best choice would be to regenerate the core in 13.3

to get a more recent version.

-- Gabor
0 Kudos
Visitor jmca
Visitor
8,902 Views
Registered: ‎02-29-2012

Re: Modelsim error: "Cannot find expanded name "xilinxcorelib.mult_gen_v10_1".

Jump to solution

Ok, thank you. All I know is that the other designer was using ISE 12.2. Now I'm usin 13.3. I'll try to regenerate as you say.

 

Regards,

 

Jose

0 Kudos
Instructor
Instructor
8,897 Views
Registered: ‎08-14-2007

Re: Modelsim error: "Cannot find expanded name "xilinxcorelib.mult_gen_v10_1".

Jump to solution

It is actually common for Xilinx to drop older versions of cores from the simulation libraries.

The odd thing here is that they kept v10_0 while removing v10_1.  I don't know if this was

an oversight, or if there was a problem with version 10_1 that made them deprecate it.

 

In any case, as long as the updated version of the core has the same features and port

names, you should be able to update it without affecting the overall design.

 

-- Gabor

-- Gabor
0 Kudos